QDropSite(3qt)

NAME
QDropSite - Provides nothing and does nothing

#include <qdropsite.h>

  Public Members
QDropSite ( QWidget * parent )
virtual ~QDropSite ()

DESCRIPTION
Provides nothing and does nothing.

This class exists only so that old code will not break. It does nothing. If your code uses it, you can safely delete it.

It was used in Qt 1.x to do some drag and drop; that has since been folded into QWidget.

For detailed information about drag-and-drop, see the QDragObject class.

See also QDragObject, QTextDrag and QImageDrag.

Examples: desktop/desktop.cpp

MEMBER FUNCTION DOCUMENTATION

QDropSite::QDropSite ( QWidget * self )
Constructs a QDropSite to handle events for the widget self.

Pass this as the parent parameter. This enables dropping by calling QWidget::setAcceptDrops(TRUE).

QDropSite::~QDropSite () [virtual]
Destructs the drop site.

SEE ALSO
http://doc.trolltech.com/qdropsite.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports make our job much simpler. Thank you.

In case of content or formattting problems with this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qdropsite.3qt) and the Qt version (2.3.7).